it-swarm.com.de

Wie installiere ich die empfohlene Version für den ixgbevf-Treiber auf einer EC2-Instanz unter Ubuntu?

Ich habe modinfo ixgbevf auf einer aktualisierten Ubuntu 16.04.2 LTS-Instanz ausgeführt, die mit dem offiziellen AMI ami-f4cc1de2 erstellt wurde, und Folgendes erhalten:

...
version:        2.12.1-k
...

AWS doc gibt an, dass die empfohlene Version 2.14.2, die die neuesten Fehlerbehebungen haben.

Ich habe versucht, das linux-image-4.4.0-1009-aws zu installieren, da an einigen Stellen gelesen wurde, dass eine neueste Version und nichts haben könnte.

Habe ich neben der Installation von der Quelle eine weitere Option, um das Kernelmodul auf dem neuesten Stand zu halten, wie von AWS empfohlen?

3
gsi-frank

Im selben Dokument finden Sie auch Informationen zur Verwendung mit dkms: http://docs.aws.Amazon.com/AWSEC2/latest/UserGuide/sriov-networking.html#enhanced-networking-ubunt

Es gibt einen Haken, Sie müssen den heruntergeladenen Treiber modifizieren, um keinen Fehler auf die "bignumber-aws" zu werfen.

2
thyama